<?php

use Botble\Author\Models\Author;

Route::group(['namespace' => 'Botble\Author\Http\Controllers', 'middleware' => ['web']], function () {

    Route::group(['prefix' => BaseHelper::getAdminPrefix(), 'middleware' => 'auth'], function () {

        Route::group(['prefix' => 'authors', 'as' => 'author.'], function () {
            Route::resource('', 'AuthorController')->parameters(['' => 'author']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'AuthorController@deletes',
                'permission' => 'author.destroy',
            ]);
        });
    });

});

Route::group(['namespace' => 'Botble\Author\Http\Controllers', 'middleware' => ['web', 'core']], function () {
    Route::group(apply_filters(BASE_FILTER_GROUP_PUBLIC_ROUTE, []), function () {

        Route::get(SlugHelper::getPrefix(Author::class, 'author') . '/{slug}')
            ->uses('PublicController@getAuthor')
            ->name('author.show');

    });
});
