<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('request_logs', function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->id();
            $table->integer('status_code')->nullable();
            $table->string('url')->nullable();
            $table->integer('count')->default(0);
            $table->string('user_id', 255)->nullable();
            $table->text('referrer')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('request_logs');
    }
};
